Package ghidra.features.base.memsearch.gui

# Class NewSearchTableLoader

java.lang.Object
ghidra.features.base.memsearch.gui.NewSearchTableLoader

All Implemented Interfaces:
  `MemoryMatchTableLoader`

public class NewSearchTableLoader extends Object implements MemoryMatchTableLoader
Table loader that performs a search and displays the results in the table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `didTerminateEarly()`
  Returns true if the search/loading did not fully complete.
  `void`
  `dispose()`
  Cleans up resources
  `MemoryMatch`
  `getFirstMatch()`
  Returns the first match found.
  `boolean`
  `hasResults()`
  Returns true if at least one match was found.
  `void`
  `loadResults(Accumulator<MemoryMatch> accumulator, TaskMonitor monitor)`
  Called by the table model to initiate searching and loading using the threaded table models threading infrastructure.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### loadResults

    public void loadResults(Accumulator<MemoryMatch> accumulator, TaskMonitor monitor)
    Description copied from interface: `MemoryMatchTableLoader`
    Called by the table model to initiate searching and loading using the threaded table models threading infrastructure.
    Specified by:
      `loadResults` in interface `MemoryMatchTableLoader`
    Parameters:
      `accumulator` - the accumulator to store results that will appear in the results table
      `monitor` - the task monitor

  - ### didTerminateEarly

    public boolean didTerminateEarly()
    Description copied from interface: `MemoryMatchTableLoader`
    Returns true if the search/loading did not fully complete. (Search limit reached, cancelled by user, etc.)
    Specified by:
      `didTerminateEarly` in interface `MemoryMatchTableLoader`
    Returns:
      true if the search/loading did not fully complete

  - ### dispose

    public void dispose()
    Description copied from interface: `MemoryMatchTableLoader`
    Cleans up resources
    Specified by:
      `dispose` in interface `MemoryMatchTableLoader`

  - ### getFirstMatch

    public MemoryMatch getFirstMatch()
    Description copied from interface: `MemoryMatchTableLoader`
    Returns the first match found. Typically used to navigate the associated navigatable.
    Specified by:
      `getFirstMatch` in interface `MemoryMatchTableLoader`
    Returns:
      the first match found

  - ### hasResults

    public boolean hasResults()
    Description copied from interface: `MemoryMatchTableLoader`
    Returns true if at least one match was found.
    Specified by:
      `hasResults` in interface `MemoryMatchTableLoader`
    Returns:
      true if at least one match was found